Bug 52203 - atalk shutdown causes cruft in boot.log
atalk shutdown causes cruft in boot.log
Product: Red Hat Powertools
Classification: Retired
Component: netatalk (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: bero
Depends On:
  Show dependency treegraph
Reported: 2001-08-21 13:56 EDT by Jonathan Kamens
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-01-17 10:40:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
use killproc to shut down atalkd, so that /etc/rc.d/rc will do the right thing (395 bytes, patch)
2001-08-21 13:58 EDT, Jonathan Kamens
no flags Details | Diff

  None (edit)
Description Jonathan Kamens 2001-08-21 13:56:37 EDT
After I reboot, I see this in boot.log:

Aug 21 09:40:39 jik atalk: Shutting down AppleTalk services:
Aug 21 09:40:40 jik atalk:
Aug 21 09:40:40 jik rc: Stopping atalk:  succeeded

What I *should* see is this:

Aug 21 13:30:50 jik atalk: atalkd shutdown succeeded

I will attach a patch.
Comment 1 Jonathan Kamens 2001-08-21 13:58:00 EDT
Created attachment 28755 [details]
use killproc to shut down atalkd, so that /etc/rc.d/rc will do the right thing
Comment 2 Phil Knirsch 2002-04-10 05:21:31 EDT
Fixed in rawhide. I did the same for the other killall uses just in case.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.